## flvstreamer 1.9

=== Makefile ===
CC=$(CROSS_COMPILE)gcc
CXX=$(CROSS_COMPILE)g++
LD=$(CROSS_COMPILE)ld

OPT=-O2
CFLAGS=-Wall $(XCFLAGS) $(INC) $(OPT)
CXXFLAGS=-Wall $(XCFLAGS) $(INC) $(OPT)
LDFLAGS=-Wall $(XLDFLAGS)
LIBS=
THREADLIB=-lpthread
SLIBS=$(THREADLIB) $(LIBS)

EXT=

all:
	@echo 'use "make linux" for a native Linux build, or'
	@echo '    "make osx"   for a native OSX build, or'
	@echo '    "make mingw" for a MinGW32 build, or'
	@echo '    "make cygwin" for a CygWin build, or'
	@echo '    "make arm"   for a cross-compiled Linux ARM build'

progs:	flvstreamer streams

linux:
	@$(MAKE) $(MAKEFLAGS) progs

osx:
	@$(MAKE) XCFLAGS="-arch ppc -arch i386" $(MAKEFLAGS) progs

mingw:
	@$(MAKE) CROSS_COMPILE=mingw32- LIBS="-lws2_32 -lwinmm -lgdi32" THREADLIB= EXT=.exe $(MAKEFLAGS) progs

cygwin:
	@$(MAKE) XCFLAGS=-static XLDFLAGS="-static-libgcc -static" EXT=.exe $(MAKEFLAGS) progs

arm:
	@$(MAKE) CROSS_COMPILE=armv7a-angstrom-linux-gnueabi- INC=-I/OE/tmp/staging/armv7a-angstrom-linux-gnueabi/usr/include $(MAKEFLAGS) progs

clean:
	rm -f *.o flvstreamer$(EXT) streams$(EXT)

streams: bytes.o log.o rtmp.o AMFObject.o rtmppacket.o streams.o parseurl.o 
	$(CXX) $(LDFLAGS) $^ -o $@$(EXT) $(SLIBS)

flvstreamer: bytes.o log.o rtmp.o AMFObject.o rtmppacket.o flvstreamer.o parseurl.o 
	$(CXX) $(LDFLAGS) $^ -o $@$(EXT) $(LIBS)

bytes.o: bytes.c bytes.h Makefile
log.o: log.c log.h Makefile
rtmp.o: rtmp.cpp rtmp.h log.h AMFObject.h Makefile
AMFObject.o: AMFObject.cpp AMFObject.h log.h rtmp.h Makefile
rtmppacket.o: rtmppacket.cpp rtmppacket.h log.h Makefile
flvstreamer.o: flvstreamer.cpp rtmp.h log.h AMFObject.h Makefile
parseurl.o: parseurl.c parseurl.h log.h Makefile
streams.o: streams.cpp rtmp.h log.h Makefile

## flvstreamer 2.1c1

=== Makefile ===
CC=$(CROSS_COMPILE)gcc
LD=$(CROSS_COMPILE)ld

DEF=-DFLVSTREAMER_VERSION=\"v2.1c1\"
OPT=-O2
CFLAGS=-Wall $(XCFLAGS) $(INC) $(DEF) $(OPT)
LDFLAGS=-Wall $(XLDFLAGS)
LIBS=
THREADLIB=-lpthread
SLIBS=$(THREADLIB) $(LIBS)

EXT=

all:
	@echo 'use "make posix" for a native Linux/Unix build, or'
	@echo '    "make mingw" for a MinGW32 build'
	@echo 'use commandline overrides if you want anything else'

progs:	flvstreamer streams rtmpsrv rtmpsuck

posix linux unix osx:
	@$(MAKE) $(MAKEFLAGS) progs

mingw:
	@$(MAKE) CROSS_COMPILE=mingw32- LIBS="$(LIBS) -lws2_32 -lwinmm -lgdi32" THREADLIB= EXT=.exe $(MAKEFLAGS) progs

cygwin:
	@$(MAKE) XCFLAGS=-static XLDFLAGS="-static-libgcc -static" EXT=.exe $(MAKEFLAGS) progs

cross:
	@$(MAKE) CROSS_COMPILE=armv7a-angstrom-linux-gnueabi- INC=-I/OE/tmp/staging/armv7a-angstrom-linux-gnueabi/usr/include $(MAKEFLAGS) progs

clean:
	rm -f *.o flvstreamer$(EXT) streams$(EXT) rtmpsrv$(EXT) rtmpsuck$(EXT)

flvstreamer: log.o rtmp.o amf.o flvstreamer.o parseurl.o
	$(CC) $(LDFLAGS) $^ -o $@$(EXT) $(LIBS)

rtmpsrv: log.o rtmp.o amf.o rtmpsrv.o thread.o
	$(CC) $(LDFLAGS) $^ -o $@$(EXT) $(SLIBS)

rtmpsuck: log.o rtmp.o amf.o rtmpsuck.o thread.o
	$(CC) $(LDFLAGS) $^ -o $@$(EXT) $(SLIBS)

streams: log.o rtmp.o amf.o streams.o parseurl.o thread.o
	$(CC) $(LDFLAGS) $^ -o $@$(EXT) $(SLIBS)

log.o: log.c log.h Makefile
parseurl.o: parseurl.c parseurl.h log.h Makefile
streams.o: streams.c rtmp.h log.h Makefile
rtmp.o: rtmp.c rtmp.h log.h amf.h Makefile
amf.o: amf.c amf.h bytes.h log.h Makefile
flvstreamer.o: flvstreamer.c rtmp.h log.h amf.h Makefile
rtmpsrv.o: rtmpsrv.c rtmp.h log.h amf.h Makefile
thread.o: thread.c thread.h

=== debian/changelog ===
flvstreamer (2.1c1-5) unstable; urgency=medium

  * Add ID to Uploaders (requirement for ITS #1092207)
  * d/watch: version=5

 -- Andreas Tille <tille@debian.org>  Tue, 16 Dec 2025 13:17:10 +0100

flvstreamer (2.1c1-4) unstable; urgency=medium

  * Team upload
  * Revert "Build and install all programs of `progs` target in Makefile"
    (Closes: #1098981)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 30 Aug 2025 18:23:58 +0200

flvstreamer (2.1c1-3) unstable; urgency=medium

  * Team upload.
  * debian/copyright: Convert to machine-readable format
  * Standards-Version: 4.7.2 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 Aug 2025 22:16:31 +0200

flvstreamer (2.1c1-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Multimedia team
    Closes: #1092207
  * Add Homepage
  * Add watch file
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Build and install all programs of `progs` target in Makefile
    Closes: #636175

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jan 2025 09:40:03 +0100

flvstreamer (2.1c1-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to 3.0 source format (Closes: #1007545)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross compilers (Closes: #850934)

 -- Bastian Germann <bage@debian.org>  Tue, 29 Nov 2022 02:11:49 +0100

flvstreamer (2.1c1-1) unstable; urgency=low

  * New upstream release
  * Fix short description (Closes: #557614)

 -- Ross Burton <ross@debian.org>  Tue, 23 Feb 2010 20:06:37 +0000

flvstreamer (1.9-1) unstable; urgency=low

  * New upstream release.

 -- Ross Burton <ross@debian.org>  Mon, 16 Nov 2009 17:32:51 +0000

flvstreamer (1.8k-1) unstable; urgency=low

  * New upstream release
  - Can save files over 2GB (Closes: #550903)

 -- Ross Burton <ross@debian.org>  Thu, 15 Oct 2009 10:20:11 +0100

flvstreamer (1.8e-2) unstable; urgency=low

  * Install the README

 -- Ross Burton <ross@debian.org>  Mon, 24 Aug 2009 08:51:38 +0100

flvstreamer (1.8e-1) unstable; urgency=low

  * Initial upload.

 -- Ross Burton <ross@debian.org>  Mon, 27 Jul 2009 18:06:19 +0100

=== debian/control ===
Source: flvstreamer
Section: utils
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Ross Burton <ross@debian.org>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/flvstreamer
Vcs-Git: https://salsa.debian.org/multimedia-team/flvstreamer.git
Homepage: https://savannah.nongnu.org/projects/flvstreamer/

Package: flvstreamer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command-line RTMP client
 Command-line RTMP client intended to stream audio or video content from all
 types of Flash or RTMP servers.

=== debian/watch ===
Version: 5

Source: https://download.savannah.nongnu.org/releases/flvstreamer/source/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
